Skip to content
GET /unified/hris/locations/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for locations

9 supported
Charlie
supported
Factorial
supported
HR Cloud
supported
IntelliHR
supported
Kenjo
supported
Oracle Netsuite
supported
Rippling
supported
ServiceNow
supported
Square
supported
citystring

This represents the city

6 supported
Charlie
supported
Factorial
supported
Kenjo
supported
Rippling
supported
ServiceNow
supported
Square
supported
countrystring

This represents the country

6 supported
Charlie
supported
Factorial
supported
Kenjo
supported
Rippling
supported
ServiceNow
supported
Square
supported
created_atstring · date-time

This represents the date when the locations was created

3 supported
Rippling
supported
ServiceNow
supported
Square
supported
location_typestring

This represents the location type

3 supported
Kenjo
supported
Oracle Netsuite
supported
Rippling
supported
namestring

This represents the name of the location

9 supported
Charlie
supported
Factorial
supported
HR Cloud
supported
IntelliHR
supported
Kenjo
supported
Oracle Netsuite
supported
Rippling
supported
ServiceNow
supported
Square
supported
phone_numberobject

This represents the phone number of the location

4 supported
Charlie
supported
Factorial
supported
ServiceNow
supported
Square
supported
extensionstring

This represents the extension of the phone number of the location

numberstring

This represents the phone number of the location

postal_codestring

This represents the zip

6 supported
Charlie
supported
Factorial
supported
Kenjo
supported
Rippling
supported
ServiceNow
supported
Square
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statestring

This represents the state

4 supported
Factorial
supported
Rippling
supported
ServiceNow
supported
Square
supported
street_1string

This represents the Line 1 of the location's street address.

6 supported
Charlie
supported
Factorial
supported
Kenjo
supported
Rippling
supported
ServiceNow
supported
Square
supported
street_2string

This represents the Line 2 of the location's street address.

3 supported
Charlie
supported
Factorial
supported
Square
supported
updated_atstring · date-time

This represents the date when the locations was updated

3 supported
Oracle Netsuite
supported
Rippling
supported
ServiceNow
supported
curl -X GET 'https://api.truto.one/unified/hris/locations/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/locations/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/locations/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'hris',
  'locations',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "hris",
        "locations",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())